local L = LibStub("AceLocale-3.0"):NewLocale("BT_Onyxia", "enUS", true)
if not L then return end

--infos
L["Module resetted"] = "Module resetted" --dont change this line!

L["info"] = "|cff91069ETactics by|r www.wowwiki.com, Sorontur\n|cff91069EImages by|r Vonswan\n|cff91069EModule by|r Sorontur\n\n|cffC0C0C0[http://www.bosstactics.net]|r"

--add here localized tactic texts

L["Tactic-25-Onyxia"] = [[

{group}Group
---------------{/group}
You will need one tank for Onyxia and in phase two it depends on your tanks you can use 2-3 for binding the adds.

    * 1 - 3 Tanks
    * 5 - 6 Healers
    * 16 - 19 Damage Dealers

{abilities}Abilities
---------------{/abilities}
Hitpoints: 22,312,000
Melee: 17,000 - 35,000

{spell}Flame Breath{/spell} - Phase 1 & 3
Inflicts 28275 to 31725 Fire damage to enemies in a cone in front of the caster.

{spell}Wing Buffet{/spell} - Phase 1 & 3
Inflicts 28275 to 31725 damage to enemies in a cone in front of the caster, knocking them back. This effect ignores armor.

{spell}Tail Sweep{/spell} - Phase 1 & 3
Inflicts 12025 to 13975 damage on enemies in a cone behind the caster, knocking them back.

{spell}Cleave{/spell}  - Phase 1 & 3
Inflicts normal damage to an enemy and its nearest allies, affecting up to 10 targets.

{spell}Breath{/spell} - Phase 2
Onyxia's flaming breath hits all enemies on the ground for 6375 to 8625 Fire damage every 0.25 sec.

{spell}Fireball{/spell} - Phase 2
Inflicts 7069 to 7931 Fire damage to all enemies in a selected area.

{spell}Bellowing Roar{/spell} - Phase 3
Releases a bellowing roar, which fears all enemies for 3 sec.

{spell}Heated Ground{/spell} - Phase 3
Deals 4125 to 5875 Fire damage every second to all enemies near the heated ground for 4 sec.

{add}Onyxian Lair Guard{/add}
Hitpoints: 630,000
Melee: 4,000 - 9,000

{spell}Blast Nova{/spell}
Inflicts Fire damage to nearby enemies.

{spell}Ignite Weapon{/spell}
Melee attacks cause an additional 25000 Fire damage to all enemies within 5 yards of the target.

{add}Onyxian Whelp{/add}
Hitpoints: 189,000
Melee: 350 - 2,500

{tactic}Strategy
--------{/tactic}

This is a very simple encounter overall.

{phase Phase 1 (100% - 65%){/phase}

The tank should run slightly ahead of the rest of the raid and grab Onyxia, quickly turning her away from the raid and then backing off to the Northern wall, where the tank will position themselves with their back to the wall to minimise the effect of the knockback from Wing Buffet. Only the tank should be in front of Onyxia, to minimize damage from fire breath and cleaving. During phase one, the only damage to the raid should be upon the tank. Ranged DPS and healers need to stay to either side of her, fairly far back. Melee DPS needs to stay just within range (which is wider than it looks). If melee DPS is too far forward, they will be killed by Cleave; if they're too far back, they will be tail swiped, possibly into the whelps, usually resulting in a wipe.

Phase one ends when Onyxia is reduced to 65% health.

{phase}Phase 2 (64% - 40%){/phase}

During this phase, Onyxia takes to the air and moves randomly around the room, casting Fireball on raid members. There are three main things to watch out for:

    * Onyxian Whelps. At the beginning of this phase, and subsequently about every 90 seconds, 2 packs of whelps will spawn, one from the egg chambers on each side of the room). These whelps should not be underestimated, as they can do considerable damage with all 40 attacking the same target. They should be gathered by the off tank and then killed with AoE attacks. 

    * Onyxian Lair Guards. After about 15 seconds and subsequently about every 30 seconds, an Onyxian Lair Guard will spawn at the entrance to the room (2 of them on 25-man?). These need to be tanked with a dedicated healer for the tank. Melee DPS should focus their attention on killing these as fast as possible. If you aren't able to kill one before the next one spawns, some ranged DPS may need to assist. Be aware that the guards hit very hard, and have a periodic AoE (Blast Nova 10 yard range) that can easily kill the melee DPS around it if not careful. This AoE has a cast time, and is easy to run out of if you don't underestimate its range. 

    * Deep Breath. At random periods during phase two, Onyxia will emote that she is taking a deep breath. When this happens, note her position, direction and get out of her path. A few seconds after the emote, she'll fly straight in the direction she's pointing, and leave a trail of massive, fiery damage about 10 yards wide. If in doubt, run all the way to the nearest side of the room, or against the wall behind her. 

During this phase of the encounter ranged DPS should be focused on bringing Onyxia herself down to 40% to start phase 3, though must interrupt that to AoE the packs of whelps. Melee dps should focus on killing the Onyxian Lair Guards.

{phase}Phase 3 (39% - 0%){/phase}

Onyxia will land on the Southern side of the room and immediately cast Bellowing Roar, causing the raid to run in fear for the next 3 seconds. Finish off whatever adds remain while the tank positions Onyxia. Note that, unlike the level 60 encounter, the tank will have retained aggro on Onyxia from phase 1. It's advisable to ensure that the tank is unaffected by this initial fear, so that Onyxia can be positioned correctly (fear ward, berserker rage, tremor totem).

Phase 3 is essentially the same as phase one aside from periodic fears, some raid damage from eruption and occasional whelp spawns which are not too dangerous. She does nothing else special and will die upon reaching 0% HP. 
]]

L["Tactic-10-Onyxia"] =  [[

{group}Group
---------------{/group}
You will need one tank for Onyxia and in phase two it depends on your tanks you can use 1-2 for binding the adds.

    * 1 Tank
    * 2 Healers
    * 7 Damage Dealers

{abilities}Abilities
---------------{/abilities}
Hitpoints: 4,880,750
Melee: 17,000 - 35,000

{spell}Flame Breath{/spell} - Phase 1 & 3
Inflicts 18275 to 21725 Fire damage to enemies in a cone in front of the caster.

{spell}Wing Buffet{/spell} - Phase 1 & 3
Inflicts 21275 to 24725 damage to enemies in a cone in front of the caster, knocking them back. This effect ignores armor.

{spell}Tail Sweep{/spell} - Phase 1 & 3
Inflicts 8025 to 9775 damage on enemies in a cone behind the caster, knocking them back.

{spell}Cleave{/spell}  - Phase 1 & 3
Inflicts normal damage to an enemy and its nearest allies, affecting up to 10 targets.

{spell}Breath{/spell} - Phase 2
Onyxia's flaming breath hits all enemies on the ground for 6375 to 8625 Fire damage every 0.25 sec.

{spell}Fireball{/spell} - Phase 2
Inflicts 4069 to 5931 Fire damage to all enemies in a selected area.

{spell}Bellowing Roar{/spell} - Phase 3
Releases a bellowing roar, which fears all enemies for 3 sec.

{spell}Heated Ground{/spell} - Phase 3
Deals 4125 to 5875 Fire damage every second to all enemies near the heated ground for 4 sec.

{add}Onyxian Lair Guard{/add}
Hitpoints: 189,000
Melee: 4,000 - 9,000

{spell}Blast Nova{/spell}
Inflicts Fire damage to nearby enemies.

{spell}Ignite Weapon{/spell}
Melee attacks cause an additional 25000 Fire damage to all enemies within 5 yards of the target.

{add}Onyxian Whelp{/add}
Hitpoints: 63,000
Melee: 350 - 2,500

{tactic}Strategy
--------{/tactic}

This is a very simple encounter overall.

{phase Phase 1 (100% - 65%){/phase}

The tank should run slightly ahead of the rest of the raid and grab Onyxia, quickly turning her away from the raid and then backing off to the Northern wall, where the tank will position themselves with their back to the wall to minimise the effect of the knockback from Wing Buffet. Only the tank should be in front of Onyxia, to minimize damage from fire breath and cleaving. During phase one, the only damage to the raid should be upon the tank. Ranged DPS and healers need to stay to either side of her, fairly far back. Melee DPS needs to stay just within range (which is wider than it looks). If melee DPS is too far forward, they will be killed by Cleave; if they're too far back, they will be tail swiped, possibly into the whelps, usually resulting in a wipe.

Phase one ends when Onyxia is reduced to 65% health.

{phase}Phase 2 (64% - 40%){/phase}

During this phase, Onyxia takes to the air and moves randomly around the room, casting Fireball on raid members. There are three main things to watch out for:

    * Onyxian Whelps. At the beginning of this phase, and subsequently about every 90 seconds, 2 packs of whelps will spawn, one from the egg chambers on each side of the room). These whelps should not be underestimated, as they can do considerable damage with all 40 attacking the same target. They should be gathered by the off tank and then killed with AoE attacks. 

    * Onyxian Lair Guards. After about 15 seconds and subsequently about every 30 seconds, an Onyxian Lair Guard will spawn at the entrance to the room (2 of them on 25-man?). These need to be tanked with a dedicated healer for the tank. Melee DPS should focus their attention on killing these as fast as possible. If you aren't able to kill one before the next one spawns, some ranged DPS may need to assist. Be aware that the guards hit very hard, and have a periodic AoE (Blast Nova 10 yard range) that can easily kill the melee DPS around it if not careful. This AoE has a cast time, and is easy to run out of if you don't underestimate its range. 

    * Deep Breath. At random periods during phase two, Onyxia will emote that she is taking a deep breath. When this happens, note her position, direction and get out of her path. A few seconds after the emote, she'll fly straight in the direction she's pointing, and leave a trail of massive, fiery damage about 10 yards wide. If in doubt, run all the way to the nearest side of the room, or against the wall behind her. 

During this phase of the encounter ranged DPS should be focused on bringing Onyxia herself down to 40% to start phase 3, though must interrupt that to AoE the packs of whelps. Melee dps should focus on killing the Onyxian Lair Guards.

{phase}Phase 3 (39% - 0%){/phase}

Onyxia will land on the Southern side of the room and immediately cast Bellowing Roar, causing the raid to run in fear for the next 3 seconds. Finish off whatever adds remain while the tank positions Onyxia. Note that, unlike the level 60 encounter, the tank will have retained aggro on Onyxia from phase 1. It's advisable to ensure that the tank is unaffected by this initial fear, so that Onyxia can be positioned correctly (fear ward, berserker rage, tremor totem).

Phase 3 is essentially the same as phase one aside from periodic fears, some raid damage from eruption and occasional whelp spawns which are not too dangerous. She does nothing else special and will die upon reaching 0% HP. 

]]

--texts for trash

L["Trash-Onyxia"] = [[

Trash
-----

]]


--ra text messages every line separated by \n
L["ra-Onyxia"] = ""


--button captions
L["Phase 1 & 3"] = true
L["Phase 2"] = true