local L = LibStub("AceLocale-3.0"):NewLocale("BT_Onyxia", "deDE")
if not L then return end

--Umlaute: ö:\195\182 ü:\195\188 ä:\195\164 Ö:\195\150 Ü:\195\156 Ä: \195\132

-- infos
L["Module resetted"] = "Modul zur\195\188ckgesetzt" --diese zeile nicht verändern!

L["info"] = "|cff91069ETactics by|r rpguides, Sorontur\n|cff91069EImages by|r Vonswan\n|cff91069EModule by|r Sorontur\n\n|cffC0C0C0[http://www.bosstactics.net]\n[http://www.rpguides.de]|r"

--füge hier die taktiktexte lokalisiert ein:

L["Tactic-25-Onyxia"] =  [[


{group}Gruppenzusammenstellung
----------------------------------{/group}

Onyxia selbst erfordert nur einen einzigen Tank. Ihr könnt jedoch einen zweiten oder gar dritten mitnehmen, um in Phase 2 die Welpen und Wachen binden zu können. Am Leben gehalten werden sollten diese von fünf Heilern. Die verbleibenden Plätze können mit Nah- und Fernkämpfern aufgefüllt werden. Es sollte jedoch darauf geachtet werden, dass ausreichend Fernkämpfer zur Verfügung stehen, da Nahkämpfer Onyxia in Phase 2 nicht angreifen können.

    * 1 - 3 Tanks
    * 5 - 6 Heiler
    * 16 - 19 Schadensverursacher

{buffs}Stärkungszauber, Tränke und andere Ausrüstung
-------------------------------------------------------------{/buffs}

Feuerschutztränke oder Kleidung, die für den Stufe 60 Kampf benötigt wurden, sind nun überflüssig. Feuerschaden wird lediglich auf den Tank in großen Mengen gewirkt. Feuerball oder Lavaschaden sind relativ gering.

{abilities}Fähigkeiten
---------------{/abilities}

Trefferpunkte: 22.312.000
Nahkampfschaden: 17.000 - 35.000 bis zu alle 1,1 Sekunden

{spell}Flammenatem{/spell} (Flame Breath) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich vor dem Zaubernden 28.275 bis 31.725 Feuerschaden zu. 45 Meter Reichweite. Wirken in 2 Sek.

{spell}Flügelstoß{/spell} (Wing Buffet) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich vor dem Zaubernden 28.275 bis 31.725 Schaden zu und stößt sie zurück. Dieser Effekt ignoriert Rüstung. Wirken in 0.5 Sek.

{spell}Schwanzfeger{/spell} (Tail Sweep) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich hinter dem Zaubernden 12.025 bis 13.975 Schaden zu und stößt sie zurück. 30 Meter Reichweite

{spell}Spalten{/spell} (Cleave) - Phase 1 & 3
Fügt einem Feind und seinen nächsten Verbündeten normalen Schaden zu. Wirkt auf bis zu 10 Ziele.

{spell}Atem{/spell} (Breath) - Phase 2
Onyxias flammender Atem fügt allen Gegnern auf dem Boden alle 0,25 Sekunden 6.375 bis 8.625 Feuerschaden zu. Unbegrenzte Reichweite. Wirken in 8 Sek.

{spell}Feuerball{/spell} (Fireball) - Phase 2
Fügt allen Feinden in einem ausgewählten Gebiet 7.069 bis 7.931 Feuerschaden zu. Unbegrenzte Reichweite. Wirken in 3 Sek.

{spell}Dröhnendes Gebrüll{/spell} (Bellowing Roar) - Phase 3
Lässt ein dröhnendes Gebrüll ertönen, das 3 Sek. lang alle Gegner mit Furcht erfüllt. Wirken in 2.5 Sek.

{spell}Erhitztes Erdreich{/spell} (Heated Ground) - Phase 3
Fügt allen Gegnern in der Nähe des erhitzten Bodens 4 Sek. lang 4.125 bis 5.875 Feuerschaden pro Sek. zu.

{add}Wache von Onyxias Hort{/add}
Trefferpunkte: 630.000
Nahkampfschaden: 4.000 - 9.000 bis zu alle 1,9 Sekunden

{spell}Drucknova{/spell} (Blast Nova)
Verursacht Feuerschaden bei in der Nähe befindlichen Feinden. Wirken in 5 Sek. 2 Sek. Abklingzeit

{spell}Waffe entzünden{/spell} (Ignite Weapon)
Nahkampfangriffe verursachen zusätzlichen Feuerschaden in Höhe von 25.000 an allen Gegnern im Umkreis von 5

{add}Welpe von Onyxia{/add}
Trefferpunkte: 189.000
Nahkampfschaden: 350 - 2.500 alle 1,9 - 2,4 Sekunden

{tactic}Taktik
--------{/tactic}

Blizzard hat Onyxias Fähigkeiten für Stufe 80 angepasst und dabei auch drei kleine Änderungen an der Taktik vorgenommen. Im Großen und Ganzen ist der Kampf aber immer noch aufgebaut wie zu WoW Classic Zeiten.

{phase}Phase 1 (100% - 65%){/phase}

Die Phase beginnt sobald der erste Spieler den Gang hinab in den eigentlichen Hort läuft.

{pos}Positionierung{/pos}
Der Tank muss Onyxia an sich binden und sie zur gegenüberliegenden Seite der Höhle ziehen, wo er die Wand im Rücken hat. Alle anderen Spieler folgen ihm seitlich auf Höhe von Onyxias Oberkörper, sodass sie weder vor ihr in den Atem bzw. das Spalten geraten, noch von ihrem Schwanzfeger erfasst werden. Sobald Onyxia an der Tank-Position angelangt ist, verteilen sich alle Spieler an ihrer Flanke. Ihr könnt hierbei alle Spieler auf einer Seite belassen, um sie in Heilreichweite zu haben.

{fight}Kampfverlauf{/fight}
Der Verlauf dieser Phase ist für Schadensverursacher und Heiler relativ unspektakulär. Es muss lediglich jeder darauf achten, nicht zu viel Hass zu produzieren. Denn wenn sich Onyxia auch nur einmal zu einem Spieler umdreht, sterben höchstwahrscheinlich zehn Spieler an diesem Angriff. Hasslisten-Resets, die ihr von Stufe 60 kennt, gibt es hier jedoch nicht mehr. Der Flügelschlag, der früher dafür verantwortlich war, richtet nun nur noch Schaden am Tank an.

Der Tank wird während der gesamten Phase mit eben diesen Flügelschlägen und Onyxias Flammenatem eingedeckt.

So lange jeder Spieler richtig steht, sollte es in dieser Phase keine Komplikationen geben. Gefahrenquellen sind lediglich das Spalten, falls ihr zu weit Vorne steht, oder der Schwanzfeger, wenn ihr hingegen zu weit hinter Onyxia steht. In letzterem Fall kann es passieren, dass ihr auf eurem Rückwärtsflug in einem der Seitengänge landet und zahlreiche Eier schlüpfen lasst. In dem Fall müsst ihr euch nebenbei noch um die Bekämpfung zahlreicher Welpen kümmern.

{phase}Phase 2 (64% - 40%){/phase}

In dieser Phase erhebt sich Onyxia in die Luft und wird für Nahkämpfer unangreifbar. Entgegen der Stufe 60 Fassung kann sie nicht mehr von Nahkämpfern getroffen werden, die unter ihr stehen. Damit die Nahkämpfer jedoch was zu tun haben, erscheint am Eingang der Höhle nun alle 30 Sekunden eine Wache von Onyxias Hort.

{pos}Positionierung{/pos}
Der Tank hat sich zum Eingang zu begeben und die Wache in Empfang zu nehmen. Andere Tank-fähige-Klassen können in ihrer Offensiv-Kleidung versuchen die Welpen-Gruppen an den Seiten auf einen Punkt zu konzentrieren. Alle anderen Spieler sollten versuchen trotz ihren gleichen Einsatzzielen möglichst 5 - 10 Meter Abstand zueinander zu halten, damit Onyxias Feuerbälle nicht mehrere Spieler erfassen.
Bildschirmfoto

{fight}Kampfverlauf{/fight}
Zu Beginn der Phase und darauf alle folgenden 90 Sekunden kommen ca. 20 Welpen aus jeder Seite geflogen. Diese sollten von den Tanks zusammengezogen werden. Andere Klassen wie Magier, Hexenmeister usw. sollten sie dabei mit Frostnova, Schattenfurie etc. unterstützen. Sobald dieses geschehen ist, können sie mit Flächenzaubern getötet werden.

Gleichzeitig kümmern sich die Nahkämpfer um die Wachen am Eingang. Diese Wachen besitzen eine gefährliche Drucknova, die beträchtlichen Schaden anrichtet. Sie kündigt sich jedoch fünf Sekunden vorher durch ihre Wirkzeit an. Jeder Nahkämpfer (ausgenommen dem Tank) sollte daraufhin Abstand von der Wache nehmen.

Die Phase über sollten sich immer Dots auf Onyxia befinden, damit die Phase schnell beendet werden kann. Sofern keine Welpen vorhanden sind, muss selbstverständlich jeder Fernkämpfer seine Angriffe auf Onyxia konzentrieren.

Die Drachendame verfügt in dieser Phase neben den Feuerbällen über einen Atem, der sich mit der Schlachtzug-Warnung "Onyxia atmet tief ein" ankündigt und acht Sekunden Wirkzeit hat. Innerhalb dieser acht Sekunden habt ihr Zeit euch in Sicherheit zu bringen. Während der Stufe 60 Atem den gesamten Höhlenboden mit Feuer füllte und nur am Rand Sicherheit bot, hinterlässt der Stufe 80 Atem nun nur noch eine Feuerschneise á la Teufelsruch. D.h. mit einem beherzten Sprint zur Seite, könnt ihr problemlos in Sicherheit gelangen. Schaut bei der Schlachtzug-Warnung einfach nach Oben. So seht ihr die Flugrichtung und somit wo der Atem entsteht. Onyxia fliegt bei diesem Angriff immer von einer Ecke in die andere. Also Beispielsweise von Nordosten nach Südwesten.

Sobald Onyxias Gesundheit auf unter 40% fällt, setzt sie im Eingangsbereich zur Landung an.

{phase}Phase 3 (39% - 0%){/phase}

Die Drachendame muss in dieser Phase wie in Phase eins getankt werden. Besitzt nun aber zwei neue Fähigkeiten. Außerdem spawnen während der Phase immer wieder kleinere Welpengruppen (2-3).

{pos}Positionierung{/pos}
Der Tank bindet Onyxia wieder an sich und zieht sie erneut vom Eingang an die Position aus Phase eins. Nachdem die Schadensverursacher alle Welpen und Wachen ausgeschaltet haben, verteilen sie sich ebenfalls wieder ähnlich wie in Phase eins an Onyxias Flanken.
Bildschirmfoto

{fight}Kampfverlauf{/fight}
Onyxia setzt während dieser Phase ungefähr alle 15 Sekunden zusätzlich ihre Dröhnendes Gebrüll / Erhitztes Erdreich Angriffskombination ein. Dabei versetzt sie alle Spieler für drei Sekunden in Furcht und lässt sie währenddessen in die Lavawellen laufen, die zwischen den Bodenplatten empor schießen. Die Lava verursacht nun nur noch geringen Schaden (4.000 - 5.000) und ist nicht mehr wie früher ohne Feuerschutzkleidung tödlich. Das eigentliche Problem ist also der Furchtzauber, denn dieser kann das Nahkämpferregiment in Onyxias Spaltenangriff treiben, oder den Tank Onyxias Aufmerksamkeit verlieren lassen. Aus diesem Grund sollten Schamanen ihr Beben-Totem aufstellen und Priester (so fern vorhanden) für jedes zweite Gebrüll den Furchtzauberschutz bereithalten. Denn der Tank wird nicht jedes Gebrüll selbst überbrücken können.

Die wenigen, in dieser Phase spawnenden, Welpen, sollten ohne Tanks von den Fernkämpfern nebenbei getötet werden können.

]]

L["Tactic-10-Onyxia"] =  [[

{group}Gruppenzusammenstellung
----------------------------------{/group}

Onyxia selbst erfordert nur einen einzigen Tank. Ihr könnt jedoch einen zweiten mitnehmen, um in Phase 2 die Welpen und Wachen binden zu können. Am Leben gehalten werden sollten diese von zwei Heilern. Die verbleibenden Plätze können mit Nah- und Fernkämpfern aufgefüllt werden. Es sollte jedoch darauf geachtet werden, dass ausreichend Fernkämpfer zur Verfügung stehen, da Nahkämpfer Onyxia in Phase 2 nicht angreifen können.

    * 1 Tank
    * 2 Heiler
    * 7 Schadensverursacher


{buffs}Stärkungszauber, Tränke und andere Ausrüstung
-------------------------------------------------------------{/buffs}

Feuerschutztränke oder Kleidung, die für den Stufe 60 Kampf benötigt wurden, sind nun überflüssig. Feuerschaden wird lediglich auf den Tank in großen Mengen gewirkt. Feuerball oder Lavaschaden sind relativ gering.

{abilities}Fähigkeiten
---------------{/abilities}

Trefferpunkte: 4.880.750
Nahkampfschaden: 9.000 - 30.000 bis zu alle 1,2 Sekunden

{spell}Flammenatem{/spell} (Flame Breath) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich vor dem Zaubernden 18.850 bis 21.150 Feuerschaden zu. 45 Meter Reichweite. Wirken in 2 Sek.

{spell}Flügelstoß{/spell} (Wing Buffet) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich vor dem Zaubernden 21.678 bis 24.322 Schaden zu und stößt sie zurück. Dieser Effekt ignoriert Rüstung. Wirken in 0.5 Sek.

{spell}Schwanzfeger{/spell} (Tail Sweep) - Phase 1 & 3
Fügt Feinden in einem kegelförmigen Bereich hinter dem Zaubernden 8.325 bis 9.675 Schaden zu und stößt sie zurück. 30 Meter Reichweite

{spell}Spalten{/spell} (Cleave) - Phase 1 & 3
Fügt einem Feind und seinen nächsten Verbündeten normalen Schaden zu. Wirkt auf bis zu 10 Ziele.

{spell}Atem{/spell} (Breath) - Phase 2
Onyxias flammender Atem fügt allen Gegnern auf dem Boden alle 0,25 Sekunden 6.375 bis 8.625 Feuerschaden zu. Unbegrenzte Reichweite. Wirken in 8 Sek.

{spell}Feuerball{/spell} (Fireball) - Phase 2
Fügt allen Feinden in einem ausgewählten Gebiet 4.713 bis 5.287 Feuerschaden zu. Unbegrenzte Reichweite. Wirken in 3 Sek.

{spell}Dröhnendes Gebrüll{/spell} (Bellowing Roar) - Phase 3
Lässt ein dröhnendes Gebrüll ertönen, das 3 Sek. lang alle Gegner mit Furcht erfüllt. Wirken in 2.5 Sek.

{spell}Erhitztes Erdreich{/spell} (Heated Ground) - Phase 3
Fügt allen Gegnern in der Nähe des erhitzten Bodens 4 Sek. lang 4.125 bis 5.875 Feuerschaden pro Sek. zu.

{add}Wache von Onyxias Hort{/add}
Trefferpunkte: 189.000
Nahkampfschaden: 4.000 - 9.000 bis zu alle 1,9 Sekunden

{spell}Drucknova{/spell} (Blast Nova)
Verursacht Feuerschaden bei in der Nähe befindlichen Feinden. Wirken in 5 Sek. 2 Sek. Abklingzeit

{spell}Waffe entzünden{/spell} (Ignite Weapon)
Nahkampfangriffe verursachen zusätzlichen Feuerschaden in Höhe von 25.000 an allen Gegnern im Umkreis von 5

{add}Welpe von Onyxia{/add}
Trefferpunkte: 63.000
Nahkampfschaden: 350 - 2.500 alle 1,9 - 2,4 Sekunden

{tactic}Taktik
--------{/tactic}

Blizzard hat Onyxias Fähigkeiten für Stufe 80 angepasst und dabei auch drei kleine Änderungen an der Taktik vorgenommen. Im Großen und Ganzen ist der Kampf aber immer noch aufgebaut wie zu WoW Classic Zeiten.

{phase}Phase 1 (100% - 65%){/phase}

Die Phase beginnt sobald der erste Spieler den Gang hinab in den eigentlichen Hort läuft.

{pos}Positionierung{/pos}
Der Tank muss Onyxia an sich binden und sie zur gegenüberliegenden Seite der Höhle ziehen, wo er die Wand im Rücken hat. Alle anderen Spieler folgen ihm seitlich auf Höhe von Onyxias Oberkörper, sodass sie weder vor ihr in den Atem bzw. das Spalten geraten, noch von ihrem Schwanzfeger erfasst werden. Sobald Onyxia an der Tank-Position angelangt ist, verteilen sich alle Spieler an ihrer Flanke. Ihr könnt hierbei alle Spieler auf einer Seite belassen, um sie in Heilreichweite zu haben.

{fight}Kampfverlauf{/fight}
Der Verlauf dieser Phase ist für Schadensverursacher und Heiler relativ unspektakulär. Es muss lediglich jeder darauf achten, nicht zu viel Hass zu produzieren. Denn wenn sich Onyxia auch nur einmal zu einem Spieler umdreht, sterben höchstwahrscheinlich zehn Spieler an diesem Angriff. Hasslisten-Resets, die ihr von Stufe 60 kennt, gibt es hier jedoch nicht mehr. Der Flügelschlag, der früher dafür verantwortlich war, richtet nun nur noch Schaden am Tank an.

Der Tank wird während der gesamten Phase mit eben diesen Flügelschlägen und Onyxias Flammenatem eingedeckt.

So lange jeder Spieler richtig steht, sollte es in dieser Phase keine Komplikationen geben. Gefahrenquellen sind lediglich das Spalten, falls ihr zu weit Vorne steht, oder der Schwanzfeger, wenn ihr hingegen zu weit hinter Onyxia steht. In letzterem Fall kann es passieren, dass ihr auf eurem Rückwärtsflug in einem der Seitengänge landet und zahlreiche Eier schlüpfen lasst. In dem Fall müsst ihr euch nebenbei noch um die Bekämpfung zahlreicher Welpen kümmern.

{phase}Phase 2 (64% - 40%){/phase}

In dieser Phase erhebt sich Onyxia in die Luft und wird für Nahkämpfer unangreifbar. Entgegen der Stufe 60 Fassung kann sie nicht mehr von Nahkämpfern getroffen werden, die unter ihr stehen. Damit die Nahkämpfer jedoch was zu tun haben, erscheint am Eingang der Höhle nun alle 30 Sekunden eine Wache von Onyxias Hort.

{pos}Positionierung{/pos}
Der Tank hat sich zum Eingang zu begeben und die Wache in Empfang zu nehmen. Andere Tank-fähige-Klassen können in ihrer Offensiv-Kleidung versuchen die Welpen-Gruppen an den Seiten auf einen Punkt zu konzentrieren. Alle anderen Spieler sollten versuchen trotz ihren gleichen Einsatzzielen möglichst 5 - 10 Meter Abstand zueinander zu halten, damit Onyxias Feuerbälle nicht mehrere Spieler erfassen.
Bildschirmfoto

{fight}Kampfverlauf{/fight}
Zu Beginn der Phase und darauf alle folgenden 90 Sekunden kommen ca. 20 Welpen aus jeder Seite geflogen. Diese sollten von den Tanks zusammengezogen werden. Andere Klassen wie Magier, Hexenmeister usw. sollten sie dabei mit Frostnova, Schattenfurie etc. unterstützen. Sobald dieses geschehen ist, können sie mit Flächenzaubern getötet werden.

Gleichzeitig kümmern sich die Nahkämpfer um die Wachen am Eingang. Diese Wachen besitzen eine gefährliche Drucknova, die beträchtlichen Schaden anrichtet. Sie kündigt sich jedoch fünf Sekunden vorher durch ihre Wirkzeit an. Jeder Nahkämpfer (ausgenommen dem Tank) sollte daraufhin Abstand von der Wache nehmen.

Die Phase über sollten sich immer Dots auf Onyxia befinden, damit die Phase schnell beendet werden kann. Sofern keine Welpen vorhanden sind, muss selbstverständlich jeder Fernkämpfer seine Angriffe auf Onyxia konzentrieren.

Die Drachendame verfügt in dieser Phase neben den Feuerbällen über einen Atem, der sich mit der Schlachtzug-Warnung "Onyxia atmet tief ein" ankündigt und acht Sekunden Wirkzeit hat. Innerhalb dieser acht Sekunden habt ihr Zeit euch in Sicherheit zu bringen. Während der Stufe 60 Atem den gesamten Höhlenboden mit Feuer füllte und nur am Rand Sicherheit bot, hinterlässt der Stufe 80 Atem nun nur noch eine Feuerschneise á la Teufelsruch. D.h. mit einem beherzten Sprint zur Seite, könnt ihr problemlos in Sicherheit gelangen. Schaut bei der Schlachtzug-Warnung einfach nach Oben. So seht ihr die Flugrichtung und somit wo der Atem entsteht. Onyxia fliegt bei diesem Angriff immer von einer Ecke in die andere. Also Beispielsweise von Nordosten nach Südwesten.

Sobald Onyxias Gesundheit auf unter 40% fällt, setzt sie im Eingangsbereich zur Landung an.

{phase}Phase 3 (39% - 0%){/phase}

Die Drachendame muss in dieser Phase wie in Phase eins getankt werden. Besitzt nun aber zwei neue Fähigkeiten. Außerdem spawnen während der Phase immer wieder kleinere Welpengruppen (2-3).

{pos}Positionierung{/pos}
Der Tank bindet Onyxia wieder an sich und zieht sie erneut vom Eingang an die Position aus Phase eins. Nachdem die Schadensverursacher alle Welpen und Wachen ausgeschaltet haben, verteilen sie sich ebenfalls wieder ähnlich wie in Phase eins an Onyxias Flanken.
Bildschirmfoto

{fight}Kampfverlauf{/fight}
Onyxia setzt während dieser Phase ungefähr alle 15 Sekunden zusätzlich ihre Dröhnendes Gebrüll / Erhitztes Erdreich Angriffskombination ein. Dabei versetzt sie alle Spieler für drei Sekunden in Furcht und lässt sie währenddessen in die Lavawellen laufen, die zwischen den Bodenplatten empor schießen. Die Lava verursacht nun nur noch geringen Schaden (4.000 - 5.000) und ist nicht mehr wie früher ohne Feuerschutzkleidung tödlich. Das eigentliche Problem ist also der Furchtzauber, denn dieser kann das Nahkämpferregiment in Onyxias Spaltenangriff treiben, oder den Tank Onyxias Aufmerksamkeit verlieren lassen. Aus diesem Grund sollten Schamanen ihr Beben-Totem aufstellen und Priester (so fern vorhanden) für jedes zweite Gebrüll den Furchtzauberschutz bereithalten. Denn der Tank wird nicht jedes Gebrüll selbst überbrücken können.

Die wenigen, in dieser Phase spawnenden, Welpen, sollten ohne Tanks von den Fernkämpfern nebenbei getötet werden können.

]]

--hier die Texte für den Trash

L["Trash-Onyxia"] = [[

Trash
-----

Die Wächter können einzeln in den Kampf verwickelt werden und machen kaum Schaden.

]]

--ra text messages jede zeile durch \n getrennt
L["ra-Onyxia"] = ""

--button bezeichnungen
L["Phase 1 & 3"] = true
L["Phase 2"] = true